Bug 1271684 - Review Request: golang-github-codegangsta-negroni - Idiomatic HTTP Middleware for Golang
Review Request: golang-github-codegangsta-negroni - Idiomatic HTTP Middleware...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1272116 1272248
  Show dependency treegraph
 
Reported: 2015-10-14 09:48 EDT by Luis Pabón
Modified: 2016-11-08 17:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 15:54:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jchaloup: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Luis Pabón 2015-10-14 09:48:08 EDT
Spec URL: https://lpabon.fedorapeople.org/reviews/golang-github-codegangsta-negroni/golang-github-codegangsta-negroni.spec

SRPM URL: https://lpabon.fedorapeople.org/reviews/golang-github-codegangsta-negroni/golang-github-codegangsta-negroni-0.1-0.1.gitc7477ad.fc22.src.rpm

Description: Idiomatic HTTP Middleware for Golang

Fedora Account System Username: lpabon

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=11444214

$ rpmlint golang-github-codegangsta-negroni-0.1-0.1.gitc7477ad.fc22.src.rpm golang-github-codegangsta-negroni-devel-0.1-0.1.gitc7477ad.fc22.noarch.rpm golang-github-codegangsta-negroni-unit-test-devel-0.1-0.1.gitc7477ad.fc22.x86_64.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Upstream Release Monitoring 2015-10-14 14:57:09 EDT
lpabon's scratch build of golang-github-codegangsta-negroni-0.1-1.gitc7477ad.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11447665
Comment 2 Luis Pabón 2015-10-14 14:58:24 EDT
-Update- 

Spec URL: https://lpabon.fedorapeople.org/reviews/golang-github-codegangsta-negroni/golang-github-codegangsta-negroni.spec

SRPM URL: https://lpabon.fedorapeople.org/reviews/golang-github-codegangsta-negroni/golang-github-codegangsta-negroni-0.1-1.gitc7477ad.fc22.src.rpm

Description: Idiomatic HTTP Middleware for Golang

Fedora Account System Username: lpabon

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=11447665

$ rpmlint golang-github-codegangsta-negroni-0.1-1.gitc7477ad.fc22.src.rpm golang-github-codegangsta-negroni-devel-0.1-1.gitc7477ad.fc22.noarch.rpm golang-github-codegangsta-negroni-unit-test-devel-0.1-1.gitc7477ad.fc22.x86_64.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 3 Jan Chaloupka 2015-10-15 09:21:07 EDT
Upstream URL: https://github.com/codegangsta/negroni

Summary:
- license OK
- list of provides ok, no bundled deps
- only one test, passing
- package name and summary ok
- devel subpackage provide, can be [B]R by other golang projects
- unit-test provided as well (for future CI testing)
- no need for debug info as there are no binaries provided

Spec files conforms to the current packaging guidelines
Comment 4 Fedora Update System 2015-10-23 00:23:19 EDT
golang-github-codegangsta-negroni-0.1-1.gitc7477ad.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a6a5919cec
Comment 5 Fedora Update System 2015-10-23 00:24:11 EDT
golang-github-codegangsta-negroni-0.1-1.gitc7477ad.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-797d5f302d
Comment 6 Fedora Update System 2015-10-23 00:25:00 EDT
golang-github-codegangsta-negroni-0.1-1.gitc7477ad.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3cef107afe
Comment 7 Fedora Update System 2015-10-24 08:06:37 EDT
golang-github-codegangsta-negroni-0.1-1.gitc7477ad.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update golang-github-codegangsta-negroni'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3cef107afe
Comment 8 Fedora Update System 2015-10-26 14:28:19 EDT
golang-github-codegangsta-negroni-0.1-1.gitc7477ad.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update golang-github-codegangsta-negroni'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-797d5f302d
Comment 9 Fedora Update System 2015-10-26 17:20:49 EDT
golang-github-codegangsta-negroni-0.1-1.gitc7477ad.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update golang-github-codegangsta-negroni'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a6a5919cec
Comment 10 Fedora Update System 2015-11-04 15:54:08 EST
golang-github-codegangsta-negroni-0.1-1.gitc7477ad.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-11-04 17:22:38 EST
golang-github-codegangsta-negroni-0.1-1.gitc7477ad.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.